##### To Configure a New Mechanism Handler

1. Click Add to display the New Mechanism Handler attributes or click on a configured key value to modify it.
2. Provide values for the attributes based on the following information:
   key

     This required parameter defines the SASL mechanism supported by the Authentication Web Service.

   class

     This required parameter specifies the name of the implementation class for the SASL mechanism. The Authentication Web Service layer provides a handler interface that needs to be implemented in order for each SASL mechanism to process the requested message and return a response.

3. Click OK or Save to complete the Request Handler configuration.
4. Click Save on the Authentication Web Service page to complete the service configuration.